/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.hadoop.chukwa.rest.objects;

// Generated May 28, 2009 3:39:53 PM by Hibernate Tools 3.2.4.GA
import java.sql.Timestamp;

/**
 * ClientTrace generated by hbm2java
 */
public class ClientTrace implements java.io.Serializable {

    static final long serialVersionUID = 4644588139290113067L;

    private Timestamp timestamp;
    private Double localHdfsRead;
    private Double intraRackHdfsRead;
    private Double interRackHdfsRead;
    private Double localHdfsWrite;
    private Double intraRackHdfsWrite;
    private Double interRackHdfsWrite;
    private Double localMapredShuffle;
    private Double intraRackMapredShuffle;
    private Double interRackMapredShuffle;

    public ClientTrace() {
    }

    public ClientTrace(Timestamp timestamp) {
	this.timestamp = timestamp;
    }

    public ClientTrace(Timestamp timestamp, Double localHdfsRead,
		       Double intraRackHdfsRead, Double interRackHdfsRead,
		       Double localHdfsWrite, Double intraRackHdfsWrite,
		       Double interRackHdfsWrite, Double localMapredShuffle,
		       Double intraRackMapredShuffle, Double interRackMapredShuffle) {
	this.timestamp = timestamp;
	this.localHdfsRead = localHdfsRead;
	this.intraRackHdfsRead = intraRackHdfsRead;
	this.interRackHdfsRead = interRackHdfsRead;
	this.localHdfsWrite = localHdfsWrite;
	this.intraRackHdfsWrite = intraRackHdfsWrite;
	this.interRackHdfsWrite = interRackHdfsWrite;
	this.localMapredShuffle = localMapredShuffle;
	this.intraRackMapredShuffle = intraRackMapredShuffle;
	this.interRackMapredShuffle = interRackMapredShuffle;
    }

    public Timestamp getTimestamp() {
	return this.timestamp;
    }

    public void setTimestamp(Timestamp timestamp) {
	this.timestamp = timestamp;
    }

    public Double getLocalHdfsRead() {
	return this.localHdfsRead;
    }

    public void setLocalHdfsRead(Double localHdfsRead) {
	this.localHdfsRead = localHdfsRead;
    }

    public Double getIntraRackHdfsRead() {
	return this.intraRackHdfsRead;
    }

    public void setIntraRackHdfsRead(Double intraRackHdfsRead) {
	this.intraRackHdfsRead = intraRackHdfsRead;
    }

    public Double getInterRackHdfsRead() {
	return this.interRackHdfsRead;
    }

    public void setInterRackHdfsRead(Double interRackHdfsRead) {
	this.interRackHdfsRead = interRackHdfsRead;
    }

    public Double getLocalHdfsWrite() {
	return this.localHdfsWrite;
    }

    public void setLocalHdfsWrite(Double localHdfsWrite) {
	this.localHdfsWrite = localHdfsWrite;
    }

    public Double getIntraRackHdfsWrite() {
	return this.intraRackHdfsWrite;
    }

    public void setIntraRackHdfsWrite(Double intraRackHdfsWrite) {
	this.intraRackHdfsWrite = intraRackHdfsWrite;
    }

    public Double getInterRackHdfsWrite() {
	return this.interRackHdfsWrite;
    }

    public void setInterRackHdfsWrite(Double interRackHdfsWrite) {
	this.interRackHdfsWrite = interRackHdfsWrite;
    }

    public Double getLocalMapredShuffle() {
	return this.localMapredShuffle;
    }

    public void setLocalMapredShuffle(Double localMapredShuffle) {
	this.localMapredShuffle = localMapredShuffle;
    }

    public Double getIntraRackMapredShuffle() {
	return this.intraRackMapredShuffle;
    }

    public void setIntraRackMapredShuffle(Double intraRackMapredShuffle) {
	this.intraRackMapredShuffle = intraRackMapredShuffle;
    }

    public Double getInterRackMapredShuffle() {
	return this.interRackMapredShuffle;
    }

    public void setInterRackMapredShuffle(Double interRackMapredShuffle) {
	this.interRackMapredShuffle = interRackMapredShuffle;
    }

}
